/[gentoo-x86]/eclass/qt4.eclass
Gentoo

Diff of /eclass/qt4.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.42 Revision 1.43
1# Copyright 2005 Gentoo Foundation 1# Copyright 2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/qt4.eclass,v 1.42 2008/07/08 16:02:03 gentoofan23 Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/qt4.eclass,v 1.43 2008/07/11 21:09:39 gentoofan23 Exp $
4 4
5# @ECLASS: qt4.eclass 5# @ECLASS: qt4.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# Caleb Tennis <caleb@gentoo.org> 7# Caleb Tennis <caleb@gentoo.org>
8# @BLURB: Eclass for Qt4 packages 8# @BLURB: Eclass for Qt4 packages
132 die "Install x11-libs/qt-qt3support with USE=\"accessibility\"" 132 die "Install x11-libs/qt-qt3support with USE=\"accessibility\""
133 fi 133 fi
134 ;; 134 ;;
135 esac 135 esac
136 else 136 else
137 ${x} == guiaccessibility && x=${x#gui} 137 [[ ${x} == guiaccessibility ]] && x=${x#gui}
138 ${x} == qt3accessibility && x=${x#qt3} 138 [[ ${x} == qt3accessibility ]] && x=${x#qt3}
139 if ! built_with_use =x11-libs/qt-4* ${x}; then 139 if ! built_with_use =x11-libs/qt-4* ${x}; then
140 requiredflags="${requiredflags} ${x}" 140 requiredflags="${requiredflags} ${x}"
141 fi 141 fi
142 fi 142 fi
143 done 143 done

Legend:
Removed from v.1.42  
changed lines
  Added in v.1.43

  ViewVC Help
Powered by ViewVC 1.1.20